Skip to main content
POST
/
twitter
/
user
/
{userName}
/
media
Get User Media
curl --request POST \
  --url https://api.apitwitter.com/twitter/user/{userName}/media \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "cookie": "<string>",
  "proxy": "<string>",
  "count": 20,
  "cursor": "<string>"
}
'
{
  "data": {
    "tweets": [
      {
        "id": "1879298220892504449",
        "text": "Example media tweet",
        "created_at": "Mon Jan 15 12:00:00 +0000 2025",
        "author": {
          "id": "44196397",
          "userName": "elonmusk",
          "name": "Elon Musk",
          "screen_name": "elonmusk"
        },
        "likeCount": 5000,
        "retweetCount": 800,
        "replyCount": 200,
        "viewCount": 100000,
        "isRetweet": false,
        "isReply": false
      }
    ],
    "has_next_page": true,
    "next_cursor": "DAABCgABHC..."
  }
}

Authorizations

X-API-Key
string
header
required

Your API key

Path Parameters

userName
string
required

Twitter screen name

Body

application/json

Twitter auth cookie

proxy
string
required

Proxy URL to use for the request (HTTP or SOCKS5)

count
integer
default:20

Number of results to return, 1-100 (default: 20)

Required range: 1 <= x <= 100
cursor
string

Pagination cursor for the next page

Response

List of media tweets

status
string

Response status

Example:

"success"

msg
string

Response message

data
any

Response data